//
//  User.swift
//  DataModels
//
//  Created by Javier Cicchelli on 11/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import Foundation

public struct User {
    public let profile: Profile
    public let rootFolder: RootFolder
}

// MARK: - Structs

extension User {
    public struct Profile {
        public let firstName: String
        public let lastName: String
    }
    
    public struct RootFolder {
        public let id: String
        public let name: String
        public let lastModifiedAt: Date
    }
}
